<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ page import="weaver.general.*" %>
<%@ page import="com.alibaba.fastjson.JSONObject" %>
<%@ page import="weaver.hrm.*" %>
<%@ page import="java.util.*" %>
<jsp:useBean id="rs" class="weaver.conn.RecordSet" scope="page" />
<jsp:useBean id="bb" class="weaver.general.BaseBean" />
<%
    User user = HrmUserVarify.getUser(request, response);
    int useridd = user.getUID();
    if(useridd == 1) { //系统管理员
        useridd = 383;  // 刘善玉
    }
    List dataList = new ArrayList();
    String sql =" select * from uf_gzyjxxtxb where sfyx=0 and ry=?" ;
    bb.writeLog("sql:"+sql);
    rs.executeQuery(sql,useridd);
    while (rs.next()){
        JSONObject result = new JSONObject();

        String userid = Util.null2String(rs.getString("ry"));
        String txnr = Util.null2String(rs.getString("txnr"));
        String txlx = Util.null2String(rs.getString("txlx"));

        result.put("userid",userid);
        result.put("txnr",txnr);
        result.put("txlx",txlx);

        dataList.add(result);
    }

    out.print(JSONObject.toJSONString(dataList));
%>

